Upstream information

CVE-2019-20433 at MITRE

Description

libaspell.a in GNU Aspell before 0.60.8 has a buffer over-read for a string ending with a single '\0' byte, if the encoding is set to ucs-2 or ucs-4 outside of the application, as demonstrated by the ASPELL_CONF environment variable.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  SUSE
Base Score 4
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact Low
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1161982 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Web Scripting 12
  • apache2-mod_php72 >= 7.2.5-1.37.1
  • php72 >= 7.2.5-1.37.1
  • php72-bcmath >= 7.2.5-1.37.1
  • php72-bz2 >= 7.2.5-1.37.1
  • php72-calendar >= 7.2.5-1.37.1
  • php72-ctype >= 7.2.5-1.37.1
  • php72-curl >= 7.2.5-1.37.1
  • php72-dba >= 7.2.5-1.37.1
  • php72-dom >= 7.2.5-1.37.1
  • php72-enchant >= 7.2.5-1.37.1
  • php72-exif >= 7.2.5-1.37.1
  • php72-fastcgi >= 7.2.5-1.37.1
  • php72-fileinfo >= 7.2.5-1.37.1
  • php72-fpm >= 7.2.5-1.37.1
  • php72-ftp >= 7.2.5-1.37.1
  • php72-gd >= 7.2.5-1.37.1
  • php72-gettext >= 7.2.5-1.37.1
  • php72-gmp >= 7.2.5-1.37.1
  • php72-iconv >= 7.2.5-1.37.1
  • php72-imap >= 7.2.5-1.37.1
  • php72-intl >= 7.2.5-1.37.1
  • php72-json >= 7.2.5-1.37.1
  • php72-ldap >= 7.2.5-1.37.1
  • php72-mbstring >= 7.2.5-1.37.1
  • php72-mysql >= 7.2.5-1.37.1
  • php72-odbc >= 7.2.5-1.37.1
  • php72-opcache >= 7.2.5-1.37.1
  • php72-openssl >= 7.2.5-1.37.1
  • php72-pcntl >= 7.2.5-1.37.1
  • php72-pdo >= 7.2.5-1.37.1
  • php72-pear >= 7.2.5-1.37.1
  • php72-pear-Archive_Tar >= 7.2.5-1.37.1
  • php72-pgsql >= 7.2.5-1.37.1
  • php72-phar >= 7.2.5-1.37.1
  • php72-posix >= 7.2.5-1.37.1
  • php72-pspell >= 7.2.5-1.37.1
  • php72-readline >= 7.2.5-1.37.1
  • php72-shmop >= 7.2.5-1.37.1
  • php72-snmp >= 7.2.5-1.37.1
  • php72-soap >= 7.2.5-1.37.1
  • php72-sockets >= 7.2.5-1.37.1
  • php72-sodium >= 7.2.5-1.37.1
  • php72-sqlite >= 7.2.5-1.37.1
  • php72-sysvmsg >= 7.2.5-1.37.1
  • php72-sysvsem >= 7.2.5-1.37.1
  • php72-sysvshm >= 7.2.5-1.37.1
  • php72-tidy >= 7.2.5-1.37.1
  • php72-tokenizer >= 7.2.5-1.37.1
  • php72-wddx >= 7.2.5-1.37.1
  • php72-xmlreader >= 7.2.5-1.37.1
  • php72-xmlrpc >= 7.2.5-1.37.1
  • php72-xmlwriter >= 7.2.5-1.37.1
  • php72-xsl >= 7.2.5-1.37.1
  • php72-zip >= 7.2.5-1.37.1
  • php72-zlib >= 7.2.5-1.37.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-12-2020-397
SUSE Linux Enterprise Point of Sale 11 SP3
  • apache2-mod_php53 >= 5.3.17-112.79.1
  • php53 >= 5.3.17-112.79.1
  • php53-bcmath >= 5.3.17-112.79.1
  • php53-bz2 >= 5.3.17-112.79.1
  • php53-calendar >= 5.3.17-112.79.1
  • php53-ctype >= 5.3.17-112.79.1
  • php53-curl >= 5.3.17-112.79.1
  • php53-dba >= 5.3.17-112.79.1
  • php53-dom >= 5.3.17-112.79.1
  • php53-exif >= 5.3.17-112.79.1
  • php53-fastcgi >= 5.3.17-112.79.1
  • php53-fileinfo >= 5.3.17-112.79.1
  • php53-ftp >= 5.3.17-112.79.1
  • php53-gd >= 5.3.17-112.79.1
  • php53-gettext >= 5.3.17-112.79.1
  • php53-gmp >= 5.3.17-112.79.1
  • php53-iconv >= 5.3.17-112.79.1
  • php53-intl >= 5.3.17-112.79.1
  • php53-json >= 5.3.17-112.79.1
  • php53-ldap >= 5.3.17-112.79.1
  • php53-mbstring >= 5.3.17-112.79.1
  • php53-mcrypt >= 5.3.17-112.79.1
  • php53-mysql >= 5.3.17-112.79.1
  • php53-odbc >= 5.3.17-112.79.1
  • php53-openssl >= 5.3.17-112.79.1
  • php53-pcntl >= 5.3.17-112.79.1
  • php53-pdo >= 5.3.17-112.79.1
  • php53-pear >= 5.3.17-112.79.1
  • php53-pgsql >= 5.3.17-112.79.1
  • php53-pspell >= 5.3.17-112.79.1
  • php53-shmop >= 5.3.17-112.79.1
  • php53-snmp >= 5.3.17-112.79.1
  • php53-soap >= 5.3.17-112.79.1
  • php53-suhosin >= 5.3.17-112.79.1
  • php53-sysvmsg >= 5.3.17-112.79.1
  • php53-sysvsem >= 5.3.17-112.79.1
  • php53-sysvshm >= 5.3.17-112.79.1
  • php53-tokenizer >= 5.3.17-112.79.1
  • php53-wddx >= 5.3.17-112.79.1
  • php53-xmlreader >= 5.3.17-112.79.1
  • php53-xmlrpc >= 5.3.17-112.79.1
  • php53-xmlwriter >= 5.3.17-112.79.1
  • php53-xsl >= 5.3.17-112.79.1
  • php53-zip >= 5.3.17-112.79.1
  • php53-zlib >= 5.3.17-112.79.1
Patchnames:
sleposp3-php53-14289
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • apache2-mod_php53 >= 5.3.17-112.79.1
  • php53 >= 5.3.17-112.79.1
  • php53-bcmath >= 5.3.17-112.79.1
  • php53-bz2 >= 5.3.17-112.79.1
  • php53-calendar >= 5.3.17-112.79.1
  • php53-ctype >= 5.3.17-112.79.1
  • php53-curl >= 5.3.17-112.79.1
  • php53-dba >= 5.3.17-112.79.1
  • php53-dom >= 5.3.17-112.79.1
  • php53-exif >= 5.3.17-112.79.1
  • php53-fastcgi >= 5.3.17-112.79.1
  • php53-fileinfo >= 5.3.17-112.79.1
  • php53-ftp >= 5.3.17-112.79.1
  • php53-gd >= 5.3.17-112.79.1
  • php53-gettext >= 5.3.17-112.79.1
  • php53-gmp >= 5.3.17-112.79.1
  • php53-iconv >= 5.3.17-112.79.1
  • php53-intl >= 5.3.17-112.79.1
  • php53-json >= 5.3.17-112.79.1
  • php53-ldap >= 5.3.17-112.79.1
  • php53-mbstring >= 5.3.17-112.79.1
  • php53-mcrypt >= 5.3.17-112.79.1
  • php53-mysql >= 5.3.17-112.79.1
  • php53-odbc >= 5.3.17-112.79.1
  • php53-openssl >= 5.3.17-112.79.1
  • php53-pcntl >= 5.3.17-112.79.1
  • php53-pdo >= 5.3.17-112.79.1
  • php53-pear >= 5.3.17-112.79.1
  • php53-pgsql >= 5.3.17-112.79.1
  • php53-pspell >= 5.3.17-112.79.1
  • php53-shmop >= 5.3.17-112.79.1
  • php53-snmp >= 5.3.17-112.79.1
  • php53-soap >= 5.3.17-112.79.1
  • php53-suhosin >= 5.3.17-112.79.1
  • php53-sysvmsg >= 5.3.17-112.79.1
  • php53-sysvsem >= 5.3.17-112.79.1
  • php53-sysvshm >= 5.3.17-112.79.1
  • php53-tokenizer >= 5.3.17-112.79.1
  • php53-wddx >= 5.3.17-112.79.1
  • php53-xmlreader >= 5.3.17-112.79.1
  • php53-xmlrpc >= 5.3.17-112.79.1
  • php53-xmlwriter >= 5.3.17-112.79.1
  • php53-xsl >= 5.3.17-112.79.1
  • php53-zip >= 5.3.17-112.79.1
  • php53-zlib >= 5.3.17-112.79.1
Patchnames:
slessp4-php53-14289
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • aspell >= 0.60.6.1-18.8.2
  • aspell-ispell >= 0.60.6.1-18.8.2
  • libaspell15 >= 0.60.6.1-18.8.2
  • libaspell15-32bit >= 0.60.6.1-18.8.2
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-2807
SUSE Linux Enterprise Software Development Kit 12 SP4
  • php72 >= 7.2.5-1.37.1
  • php72-devel >= 7.2.5-1.37.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2020-397
SUSE Linux Enterprise Software Development Kit 12 SP5
  • aspell >= 0.60.6.1-18.8.2
  • aspell-devel >= 0.60.6.1-18.8.2
  • libpspell15 >= 0.60.6.1-18.8.2
  • php72 >= 7.2.5-1.37.1
  • php72-devel >= 7.2.5-1.37.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-2807
SUSE-SLE-SDK-12-SP5-2020-397


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES for SAP Applications php5 Affected
SLES for SAP Applications php53 Not affected
SLES-10-SP3 php5 Released
SLES-10-SP4 php5 Released
SLES_LTSS-10-SP4 php5 Released
SUSE Linux Enterprise 12 Module for Web and Scripting php5 Released
SUSE Linux Enterprise 12 Module for Web and Scripting php7 Not affected
SUSE Linux Enterprise 12 Module for Web and Scripting php72 Released
SUSE Linux Enterprise 15 Module for Web and Scripting php7 Not affected
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search php5 Affected
SUSE Linux Enterprise High Performance Computing 12 SP4 aspell In progress
SUSE Linux Enterprise High Performance Computing 12 SP5 aspell Released
SUSE Linux Enterprise Server 11 SP1 aspell Released
SUSE Linux Enterprise Server 11 SP1 php5 Released
SUSE Linux Enterprise Server 11 SP1 LTSS php5 Affected
SUSE Linux Enterprise Server 11 SP2 php5 Affected
SUSE Linux Enterprise Server 11 SP2 php53 Not affected
SUSE Linux Enterprise Server 11 SP2 LTSS php5 Affected
SUSE Linux Enterprise Server 11 SP2 LTSS php53 Not affected
SUSE Linux Enterprise Server 11 SP2 for VMware php5 Affected
SUSE Linux Enterprise Server 11 SP2 for VMware php53 Not affected
SUSE Linux Enterprise Server 11 SP3 aspell Released
SUSE Linux Enterprise Server 11 SP3 php53 Released
SUSE Linux Enterprise Server 11 SP3 LTSS php53 Affected
SUSE Linux Enterprise Server 11 SP3 for VMware php53 Affected
SUSE Linux Enterprise Server 11 SP4 php53 Affected
SUSE Linux Enterprise Server 11 SP4 LTSS aspell Affected
SUSE Linux Enterprise Server 11 SP4 LTSS php53 Released
SUSE Linux Enterprise Server 12 SP1 LTSS aspell Affected
SUSE Linux Enterprise Server 12 SP2 aspell Affected
SUSE Linux Enterprise Server 12 SP2 LTSS aspell Affected
SUSE Linux Enterprise Server 12 SP3 BCL aspell Affected
SUSE Linux Enterprise Server 12 SP3 LTSS aspell Affected
SUSE Linux Enterprise Server 12 SP4 aspell In progress
SUSE Linux Enterprise Server 12 SP5 aspell Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 aspell Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 aspell Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 aspell In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP5 aspell Released
SUSE Linux Enterprise Server for SAP Business All-in-One php5 Affected
SUSE Linux Enterprise Software Development Kit 11 php5 Affected
SUSE Linux Enterprise Software Development Kit 11 SP1 php5 Affected
SUSE Linux Enterprise Software Development Kit 11 SP2 php5 Affected
SUSE Linux Enterprise Software Development Kit 11 SP2 php53 Not affected
SUSE Linux Enterprise Software Development Kit 11 SP3 php53 Affected
SUSE Linux Enterprise Software Development Kit 11 SP4 php53 Affected
SUSE Linux Enterprise Software Development Kit 12 php5 Not affected
SUSE Linux Enterprise Software Development Kit 12 php7 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 php5 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 php7 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 php5 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 php7 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 php72 Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 aspell In progress
SUSE Linux Enterprise Software Development Kit 12 SP4 php5 Released
SUSE Linux Enterprise Software Development Kit 12 SP4 php7 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 php72 Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 aspell In progress
SUSE Linux Enterprise Software Development Kit 12 SP5 php72 Released